LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 12-05-2008, 08:59 PM   #1
ACSUSA
LQ Newbie
 
Registered: Jul 2007
Location: Michigan
Distribution: Ubuntu 8.04, Linpus Lite 10, Ubuntu 10.10
Posts: 6

Rep: Reputation: 0
Angry Installing ndiswrapper on Linpus(Fedora) - Last resort


This question is my last ditch effort to this, so ANY help is GREATLY appreciated!!!

Basically, I need to install ndiswrapper on Linpus Lite (which is based on Fedora) so that I can use my Sierra Wireless broadband card.

I have made many different attempts, including using the official linux driver supplied by Sierra Wireless.

I added the ATrpms repository to yum.conf, and then typed:

Quote:
sudo yum install ndiswrapper
The response:

Quote:
Error: Missing Dependency: /boot/vmlinuz-2.6.26.6-49.fc8 is needed by package ndiswrapper-kmdl-2.6.26.6-49.fc8
It appears I need to add this missing dependency.

If someone could please give me an answer on how to do this.

I was previously in the mood for a technical answer, however a "for dummies" explanation would be preferred.

Thank You,
ACSUSA
 
Old 12-05-2008, 10:51 PM   #2
ArfaSmif
Member
 
Registered: Oct 2008
Location: Brisbane Australia
Distribution: always back to Fedora
Posts: 241

Rep: Reputation: 50
I'm guessing that you need to do a general update first. Follow these steps :-

1. sudo yum clean all
2. sudo yum update
3. sudo yum install ndiswrapper

The first command cleans all your yum downloads and cache. The second will update you to the latest kernel, and the third will install ndiswrapper for the latest updated kernel.

Good luck.
 
Old 12-06-2008, 07:24 AM   #3
ACSUSA
LQ Newbie
 
Registered: Jul 2007
Location: Michigan
Distribution: Ubuntu 8.04, Linpus Lite 10, Ubuntu 10.10
Posts: 6

Original Poster
Rep: Reputation: 0
Big error list

OK, tried this.

response to sudo yum clean all:
Quote:
Cleaning up Everything
...can't tell if it actually did anything.

The response to sudo yum update seems to reveal a bigger problem. It prints a huge list. The first half talks about setting dependencies to updated & processing them. But the last part prints tons of "Missing Dependency" errors. It's so long I can't print it all, but here is a snippet:
Quote:
...Error: Missing Dependency: libgnutls.so.13 is needed by package libpurple
Error: Missing Dependency: libssl.so.6 is needed by package ame
Error: Missing Dependency: libssl.so.6 is needed by package libetpan...
However, I don't see vmlinuz-2.6.26.6-49.fc8, the one I need in the error list.

Hmm...
 
Old 12-06-2008, 06:24 PM   #4
ArfaSmif
Member
 
Registered: Oct 2008
Location: Brisbane Australia
Distribution: always back to Fedora
Posts: 241

Rep: Reputation: 50
OK. You have what is commonly called "dependency hell". Did you try to install ndiswrapper BEFORE you added the atrpms repos? If you did and it didn't work, then the ndiswrapper is not part of the normal install for Linpus Lite (this doesn't sound right).

I would disable the atrpms repo first, then follow the same steps again. The sudo yum clean all did work, it just doesn't tell you much. The command cleans up the whole yum cache so that you start from a "clean slate".

You won't see the vmlinuz as a separate install because it is part of the kernel upgrade.
 
Old 01-19-2009, 12:25 PM   #5
anhdepyeu
LQ Newbie
 
Registered: Aug 2007
Posts: 1

Rep: Reputation: 0
You almost certainly need to run:
Code:
sudo yum install fedora-release
Then yum will operate without unresolved dependencies. ndiswrapper _is_ in the default repos.
For more info, see <this-URL-that-this-forum-won't-allow-me-to-post>

Edit: when I said, "in the default repos", I didn't mention that you would want to run this first:
Code:
sudo rpm -Uvh http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-stable.noarch.rpm
You can then just use:
Code:
yum install ndiswrapper kmod-ndiswrapper

Last edited by anhdepyeu; 01-19-2009 at 10:51 PM. Reason: added a missing step
 
Old 07-31-2009, 12:59 PM   #6
gbouchville
LQ Newbie
 
Registered: Mar 2009
Location: Chicago, IL
Distribution: Linux is fun.
Posts: 1

Rep: Reputation: 0
Smile Ndiswrapper for Fedora 11.

Thank you!

This write-up helped me install ndiswrapper for my WN121T. The wireless usb works very well in Fedora 11.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Linpus lite grub/booting linpus to a terminal Only_he_stands_here Linux - Laptop and Netbook 1 11-15-2008 07:51 PM
fedora core 5 and installing ndiswrapper 1.13 koolaid-man Fedora 6 10-26-2006 02:31 AM
installing fedora 3 kernel source, for ndiswrapper Jakeao Linux - Laptop and Netbook 5 01-13-2005 05:12 PM
Booting problems after installing Ndiswrapper (Fedora 2) mawaldne Linux - Wireless Networking 4 12-30-2004 11:16 AM


All times are GMT -5. The time now is 05:41 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration